/* global Bdf,$$,Overlay,ID */

Bdf.Overlay = {};

Bdf.Overlay.showFqlEditor = function (xml, updateCallback) {
    var frameId = Bdf.generateId();
    var okId = Bdf.generateId();
    var jsonData = null;
    var isLoaded = false;
    var toBeInit = true;
    var overlayCallback = null;
    Overlay.start({
        header: Bdf.Loc.escape("_ title.selection.fqleditor"),
        content: Bdf.render("bdf:fqleditor", {
            frameId: frameId
        }),
        footer: Bdf.render("bdf:overlay-footer", {
            submit: {
                type: "button",
                id: okId,
                locKey: '_ link.global.ok'
            }}),
        isWaiting: true,
        afterStart: function (overlayId, waitingCallback) {
            ID(frameId).addEventListener("load", function () {
                isLoaded = true;
                _initIframe(overlayId);
            });
            $.ajax({
                url: Bdf.URL + "selection",
                method: "POST",
                data: {
                    cmd: "FqlParser",
                    json: "fql",
                    xml: xml
                },
                dataType: Bdf.jsonDataType,
                success: function (data, textStatus) {
                    jsonData = data;
                    overlayCallback = waitingCallback;
                    _initIframe(overlayId);
                }
            });
        }
    });
    
    
    function _initIframe(overlayId) {
        if ((jsonData) && (isLoaded) && (toBeInit)) {
            toBeInit = false;
            overlayCallback();
            ID(frameId).contentWindow.FqlEditor.update(jsonData, overlayId);
            $$(okId).click(function () {
                let result = ID(frameId).contentWindow.FqlEditor.getResult();
                Overlay.end(overlayId, function () {
                    updateCallback(result);
                });
            });
        }
    }
};

